Mensaje con video
curl --request POST \
--url https://whatsapp.heybot.cloud/api/v2/message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>",
"type": "<string>",
"video": {
"id": "<string>",
"link": "<string>",
"caption": "<string>"
}
}
'import requests
url = "https://whatsapp.heybot.cloud/api/v2/message"
payload = {
"to": "<string>",
"type": "<string>",
"video": {
"id": "<string>",
"link": "<string>",
"caption": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: '<string>',
type: '<string>',
video: {id: '<string>', link: '<string>', caption: '<string>'}
})
};
fetch('https://whatsapp.heybot.cloud/api/v2/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Envío de mensajes
Mensaje con video
POST
/
api
/
v2
/
message
Mensaje con video
string
required
El número de teléfono del destinatario o su ID de WhatsApp.
string
default:"video"
required
El tipo de mensaje que se está enviando.
object
required
La configuración del archivo multimedia del video.
Hide propiedades del video
Hide propiedades del video
Ejemplo
{
"to": 5219876543210,
"type": "video",
"video": {
"link": "<MEDIA_URL>",
"caption": "<VIDEO_CAPTION_TEXT>"
}
}
Formatos de video admitidos
Solo se admiten el códec de video H.264 y el códec de audio AAC. Un solo stream de audio o sin stream de audio.| Tipo de video | Extensión | Tipo MIME | Tamaño máximo |
|---|---|---|---|
| 3GPP | .3gp | video/3gpp | 16 MB |
| Video MP4 | .mp4 | video/mp4 | 16 MB |